FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Red Hat Linux

 
 
LinkBack Thread Tools
 
Old 12-02-2007, 02:11 PM
"Aggarwal Vivek-Q4997C"
 
Default Startup Script

Hello All,

Iam new to Redhat Linux. Can anyone help me in solving the problem
below:-

Iam trying to install the DNS Server on RHEL4. I have downloaded the
latest package of BIND-9.4.1-P1 from site. Now Iam not able to start the
named Service as there is no start-up script for the same

Can anyone help me

Regards
Vivek Aggarwal

--
redhat-list mailing list
unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
https://www.redhat.com/mailman/listinfo/redhat-list
 
Old 12-02-2007, 04:06 PM
Manuel Arostegui Ramirez
 
Default Startup Script

El Domingo, 2 de Diciembre de 2007 16:11, Aggarwal Vivek-Q4997C escribi:
> Hello All,
>
> Iam new to Redhat Linux. Can anyone help me in solving the problem
> below:-
>
> Iam trying to install the DNS Server on RHEL4. I have downloaded the
> latest package of BIND-9.4.1-P1 from site. Now Iam not able to start the
> named Service as there is no start-up script for the same
>
> Can anyone help me
>

rpm -ql bind or whatever the name...what's the output?


--
Manuel Arostegui Ramirez.

Electronic Mail is not secure, may not be read every day, and should not
be used for urgent or sensitive issues.

--
redhat-list mailing list
unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
https://www.redhat.com/mailman/listinfo/redhat-list
 
Old 12-02-2007, 04:34 PM
"Romeo Theriault"
 
Default Startup Script

I haven't ever needed to install or configure DNS on red hat before but I
believe you can install the bind dns server from the red hat repositories.
You would do this on RH v.4 with the up2date tool. up2date -i bind or
whatever it is. The Red Hat package will have a init script to start/stop
the service. If for some reason you need/really want to use your own build
of bind and it doesn't include a init script, you can just copy one of the
existing init scripts for another service and change the appropriate info to
make it applicable for DNS. If your new to starting and stopping services
on RH you'll want to read the ma pages for chkconfig and service.

Good luck.

Romeo

On Dec 2, 2007 10:11 AM, Aggarwal Vivek-Q4997C <Q4997C@motorola.com> wrote:

>
> Hello All,
>
> Iam new to Redhat Linux. Can anyone help me in solving the problem
> below:-
>
> Iam trying to install the DNS Server on RHEL4. I have downloaded the
> latest package of BIND-9.4.1-P1 from site. Now Iam not able to start the
> named Service as there is no start-up script for the same
>
> Can anyone help me
>
> Regards
> Vivek Aggarwal
>
> --
> redhat-list mailing list
> unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
> https://www.redhat.com/mailman/listinfo/redhat-list
>



--
Romeo Theriault
System Administrator
Information Technology Services
Ph#: 207-561-3517
Em@: romeo.theriault@maine.edu
--
redhat-list mailing list
unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
https://www.redhat.com/mailman/listinfo/redhat-list
 
Old 12-02-2007, 05:26 PM
"debu"
 
Default Startup Script

Hi Vivek,


You mean after you compiled and installed bind, you could not find "named" under /etc/init.d also Service names start/stop/restart doesn't work?

Well, even though i am not sure, may be i can suggest a immediate workaround. why don't you extract a startup script from the most near/recent rpm below, your current bind version, and do the modification.

Since its latest, may be some other issue/bug, which i am not sure.Also i am not sure, with what options you compiled!

Also after this workaround look at whether each and every individual files mentioned in the script is present.

Also may be you have to create the .pid file manually!!

~regards
Debu

On Sun, 02 Dec 2007 Aggarwal Vivek-Q4997C wrote :
>
>Hello All,
>
>Iam new to Redhat Linux. Can anyone help me in solving the problem
>below:-
>
>Iam trying to install the DNS Server on RHEL4. I have downloaded the
>latest package of BIND-9.4.1-P1 from site. Now Iam not able to start the
>named Service as there is no start-up script for the same
>
>Can anyone help me
>
>Regards
>Vivek Aggarwal
>
>--
>redhat-list mailing list
>unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
>https://www.redhat.com/mailman/listinfo/redhat-list

--
redhat-list mailing list
unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
https://www.redhat.com/mailman/listinfo/redhat-list
 
Old 12-03-2007, 06:03 PM
"Madan Thapa"
 
Default Startup Script

HI,

Can you check if the following script helps .... well I must say.. if bind
is installed properly .. the startup script should be there


root@server [~]# cat /etc/redhat-release
Red Hat Enterprise Linux ES release 4 (Nahant Update 6)
root@server [~]#
root@server [~]# cat /etc/init.d/named
#!/bin/bash
#
# named This shell script takes care of starting and stopping
# named (BIND DNS server).
#
# chkconfig: - 13 87
# description: named (BIND) is a Domain Name Server (DNS)
# that is used to resolve host names to IP addresses.
# probe: true

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
[ -r /etc/sysconfig/network ] && . /etc/sysconfig/network

[ -n "$ROOTDIR" ] && ROOTDIR=`echo $ROOTDIR | sed 's#//*#/#g;s#/$##'`

RETVAL=0
prog="named"

# Check that networking is up.
[ "${NETWORKING}" = "no" ] && exit 1

[ -r /etc/sysconfig/named ] && . /etc/sysconfig/named

[ -x /usr/sbin/named ] || exit 1

nmdcOption()
{ let i=0;
for a in $*;
do ((++i));
if [ $a = -c ]; then
((++i));
eval 'echo $'$i;
elif [[ $a = -c* ]]; then
echo ${a#-c};
fi;
done;
}

named_conf=`nmdcOption $OPTIONS`;

[ -r ${ROOTDIR}/${named_conf:-etc/named.conf} ] || exit 1

start() {
# Start daemons.
echo -n $"Starting $prog: "
if [ -n "`/sbin/pidof named`" ]; then
echo -n $"$prog: already running"
failure
echo
return 1
fi
ckcf_options=';
if [ -n "${ROOTDIR}" -a "x${ROOTDIR}" != "x/" ]; then
OPTIONS="${OPTIONS} -t ${ROOTDIR}"
ckcf_options="-t ${ROOTDIR}";
if [ -s /etc/localtime ]; then
cp -fp /etc/localtime ${ROOTDIR}/etc/localtime
fi;
if [ ! -d ${ROOTDIR}/proc ]; then
mkdir -p ${ROOTDIR}/proc
fi
if ! egrep -q '^/proc[[:space:]]+'${ROOTDIR}'/proc'
/proc/mounts; then
mount --bind /proc ${ROOTDIR}/proc >/dev/null 2>&1
fi
fi
no_write_master_zones=0
if [ -e /etc/selinux/config ]; then
. /etc/selinux/config
if [ "$SELINUX" != 'disabled' ] && [ "$SELINUXTYPE" != "" ] && [
-d /etc/selinux/${SELINUXTYPE} ] && [ -e
/etc/selinux/${SELINUXTYPE}/booleans ]; then
. /etc/selinux/${SELINUXTYPE}/booleans
if echo "$named_write_master_zones" | /bin/egrep -q
'^[0-9]+$'; then
if [ "$named_write_master_zones" -eq 1 ] ; then
/bin/chown -f --from=root:named named:named
$ROOTDIR/var/named
elif [ "$named_write_master_zones" -eq 0 ] ; then
/bin/chown -f --from=named:named root:named
$ROOTDIR/var/named
fi;
fi;
else
no_write_master_zones=1
fi;
else
no_write_master_zones=1
fi;
if [ "$no_write_master_zones" -eq 1 ]; then
if [[ "$ENABLE_ZONE_WRITE" = [yY1]* ]]; then
/bin/chown -f --from=root:named named:named
$ROOTDIR/var/named
elif [[ "$ENABLE_ZONE_WRITE" = [nN0]* ]]; then
/bin/chown -f --from=named:named root:named
$ROOTDIR/var/named
fi;
fi
conf_ok=0;
if [ -x /usr/sbin/named-checkconf ] && /usr/sbin/named-checkconf
$ckcf_options $named_conf >/dev/null 2>&1; then
conf_ok=1;
else
RETVAL=$?;
fi
if [ $conf_ok -eq 1 ]; then
daemon /usr/sbin/named -u named ${OPTIONS};
RETVAL=$?;
if [ $RETVAL -eq 0 ]; then
rm -f /var/run/named.pid
ln -s $ROOTDIR/var/run/named/named.pid /var/run/named.pid;
fi;
else
named_err="`/usr/sbin/named-checkconf $ckcf_options $named_conf
2>&1`";
echo
echo $"Error in named configuration"':';
echo "$named_err";
failure
echo
if [ -x /usr/bin/logger ]; then
echo "$named_err" | /usr/bin/logger -pdaemon.error -tnamed
fi;
return $RETVAL;
fi;
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/named
echo
return $RETVAL
}
stop() {
# Stop daemons.
echo -n $"Stopping $prog: "
/usr/sbin/rndc stop >/dev/null 2>&1
RETVAL=$?
if [ $RETVAL -eq 0 ]; then
rm -f /var/lock/subsys/named
rm -f /var/run/named.pid
elif pidof named >/dev/null; then
killproc named -TERM >/dev/null 2>&1
RETVAL=$?
if [ $RETVAL -eq 0 ]; then
rm -f /var/lock/subsys/named
rm -f /var/run/named.pid
fi;
fi;
if [ $RETVAL -eq 0 ]; then
success
else
failure
fi;
echo
return $RETVAL
}
rhstatus() {
/usr/sbin/rndc status
return $?
}
restart() {
stop
# wait a couple of seconds for the named to finish closing down
sleep 2
start
}
reload() {
echo -n $"Reloading $prog: "
p=`/sbin/pidof -o %PPID named`
RETVAL=$?
if [ "$RETVAL" -eq 0 ]; then
/usr/sbin/rndc reload >/dev/null 2>&1 || /bin/kill -HUP $p;
RETVAL=$?
fi
[ "$RETVAL" -eq 0 ] && success $"$prog reload" || failure $"$prog
reload"
echo
return $?
}
probe() {
# named knows how to reload intelligently; we don't want linuxconf
# to offer to restart every time
/usr/sbin/rndc reload >/dev/null 2>&1 || echo start
return $?
}
checkconfig() {
ckcf_options='
if [ -n "${ROOTDIR}" -a "x${ROOTDIR}" != "x/" ]; then
OPTIONS="${OPTIONS} -t ${ROOTDIR}"
ckcf_options="$ckcf_options -t ${ROOTDIR}";
fi;
if [ -x /usr/sbin/named-checkconf ] && /usr/sbin/named-checkconf
$ckcf_options ${named_conf}; then
return 0;
else
return 1;
fi
}
# See how we were called.
case "$1" in
start)
start
;;
stop)
stop
;;
status)
rhstatus
;;
restart)
restart
;;
condrestart)
if [ -e /var/lock/subsys/named ]; then restart; fi
;;
reload)
reload
;;
probe)
probe
;;
checkconfig|configtest|check|test)
checkconfig
;;
*)
echo $"Usage: $0
{start|stop|status|restart|condrestart|reload|prob e}"
exit 1
esac

exit $?

root@server [~]#


Or you can try the following command once ...........

root@server [~]# up2date ---nox -v -i bind bind-libs bind-utils bind-devel











On Dec 2, 2007 8:41 PM, Aggarwal Vivek-Q4997C <Q4997C@motorola.com> wrote:

>
> Hello All,
>
> Iam new to Redhat Linux. Can anyone help me in solving the problem
> below:-
>
> Iam trying to install the DNS Server on RHEL4. I have downloaded the
> latest package of BIND-9.4.1-P1 from site. Now Iam not able to start the
> named Service as there is no start-up script for the same
>
> Can anyone help me
>
> Regards
> Vivek Aggarwal
>
> --
> redhat-list mailing list
> unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
> https://www.redhat.com/mailman/listinfo/redhat-list
>
--
redhat-list mailing list
unsubscribe mailto:redhat-list-request@redhat.com?subject=unsubscribe
https://www.redhat.com/mailman/listinfo/redhat-list
 
Old 07-06-2008, 06:07 PM
Jim Douglas
 
Default startup script

I installed a firewall and want to make sure it starts up in the right place on reboot.

These are the instructions I am getting from the Firewall Builder site, they have nothing for Kubuntu...


The universal method is to put generated script in
/etc or /etc/firewall directory and add a line at
the bottom of script
/etc/rc.d/rc.local (Mandrake and
RedHat) or /etc/init.d/boot.local
(SuSE) like this:


/etc/firewall/firewall.fw

This way, firewall script runs when machine executes
boot-time scripts. The name of the file is the same
as the name of the firewall object in Firewall
Builder GUI, with extension ".fw". So, if
firewall object name is guardian, then
fwbuilder puts generated policy in the file
guardian.fw.



What is the most secure process to start up at boot time?


Thanks,
Jim

It’s a talkathon – but it’s not just talk. Check out the i’m Talkathon.
--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 07-07-2008, 04:20 PM
Sylviane et Perry White
 
Default startup script

On Sunday 06 July 2008 20:07, Jim Douglas wrote:
> I installed a firewall and want to make sure it starts up in the right
> place on reboot.
>
> These are the instructions I am getting from the Firewall Builder site,
> they have nothing for Kubuntu...
>
>
> * * * * * * * * * The universal method is to put generated script in
> * * * * * * * * * /etc or /etc/firewall directory and add a line at
> * * * * * * * * * the bottom of script
> * * * * * * * * * /etc/rc.d/rc.local (Mandrake and
> * * * * * * * * * RedHat) or /etc/init.d/boot.local
> * * * * * * * * * (SuSE) like this:
>
> * /etc/firewall/firewall.fw

I don't know your version and if there is any change.
On my Feisty I don't have /etc/rc.d/ but only rc0.d, rc1.d, rc2.d... in /etc/
/etc/rc0.d/README says:
> > The scripts in this directory are executed once when entering
> > runlevel 0.
> >
> > The scripts are all symbolic links whose targets are located in
> > /etc/init.d/ .
> >
> > Generally it is not necessary to alter the scripts in this directory.
> > Their purpose is to stop all services and to make the system ready
> > for shutdown.
> >
> > For a more information see /etc/init.d/README.
> >


HTH Perry

--
BOFH excuse #30: positron router malfunction

--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 07-07-2008, 05:49 PM
Karl Klinger
 
Default startup script

Jim Douglas wrote:
> I installed a firewall and want to make sure it starts up in the right
> place on reboot.
>
> These are the instructions I am getting from the Firewall Builder site,
> they have nothing for Kubuntu...
>
> The universal method is to put generated script in /etc or /etc/firewall
> directory and add a line at the bottom of script */etc/rc.d/rc.local*
> (Mandrake and RedHat) or */etc/init.d/boot.local* (SuSE) like this:
>
> /etc/firewall/firewall.fw
>
> This way, firewall script runs when machine executes
> boot-time scripts. The name of the file is the same
> as the name of the firewall object in Firewall
> Builder GUI, with extension ".fw". So, if
> firewall object name is *guardian*, then
> fwbuilder puts generated policy in the file
> *guardian.fw*.
>
>
> What is the most secure process to start up at boot time?
>
>
> Thanks,
> Jim
>
You could put the line to run the script in /etc/rc.local. This is the
default rc.local:

#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

exit 0

Karl

--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 07-07-2008, 05:53 PM
Jim Douglas
 
Default startup script

> Date: Mon, 7 Jul 2008 10:49:30 -0700
> From: karlok@fastmail.fm
> To: kubuntu-users@lists.ubuntu.com
> Subject: Re: startup script
>
> Jim Douglas wrote:
> > I installed a firewall and want to make sure it starts up in the right
> > place on reboot.
> >
> > These are the instructions I am getting from the Firewall Builder site,
> > they have nothing for Kubuntu...
> >
> > The universal method is to put generated script in /etc or /etc/firewall
> > directory and add a line at the bottom of script */etc/rc.d/rc.local*
> > (Mandrake and RedHat) or */etc/init.d/boot.local* (SuSE) like this:
> >
> > /etc/firewall/firewall.fw
> >
> > This way, firewall script runs when machine executes
> > boot-time scripts. The name of the file is the same
> > as the name of the firewall object in Firewall
> > Builder GUI, with extension ".fw". So, if
> > firewall object name is *guardian*, then
> > fwbuilder puts generated policy in the file
> > *guardian.fw*.
> >
> >
> > What is the most secure process to start up at boot time?
> >
> >
> > Thanks,
> > Jim
> >
> You could put the line to run the script in /etc/rc.local. This is the
> default rc.local:
>
> #!/bin/sh -e
> #
> # rc.local
> #
> # This script is executed at the end of each multiuser runlevel.
> # Make sure that the script will "exit 0" on success or any other
> # value on error.
> #
> # In order to enable or disable this script just change the execution
> # bits.
> #
> # By default this script does nothing.
>
> exit 0
>
> Karl
>
> --
> kubuntu-users mailing list
> kubuntu-users@lists.ubuntu.com
> Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users

I was going to put it in ther but, I want to be sure the Firewall starts at the right time, I remember reading somewhere that if it doesn't the Firewall won't be aa secure..

Thanks,
Jim

Need to know now? Get instant answers with Windows Live Messenger. IM on your terms.
--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 07-01-2012, 10:53 AM
Tony van der Hoff
 
Default startup script

Hi,

I have a script (non gui) which I want to run each time I log in. Which
is the correct way to do this?

--
Tony van der Hoff | mailto:tony@vanderhoff.org
Arige, France |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4FF02C20.7060604@vanderhoff.org">http://lists.debian.org/4FF02C20.7060604@vanderhoff.org
 

Thread Tools




All times are GMT. The time now is 07:30 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org